Bug 10728 - сломанный init-скрипт (--debug)
: сломанный init-скрипт (--debug)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ipw3945d)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-29 11:01 by
Modified: 2007-05-05 10:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-29 11:01:54
Не стартует серви ipw3945d, не знает про опцию --debug

# service ipw3945d start
Starting ipw3945d service: Invalid parameter 1: --debug=0x0000000B.

usage: ipw3945d [--OPTION]
options:
  --quiet               Load silently (unless errors occur)
  --timeout=VALUE       Wait up to VALUE seconds for driver to load.
                        Default 0 (do not wait)
                        A value of -1 means to wait forever.
  --log-file=NAME       Specify log file (default is no log)
  --pid-file=NAME       Specify pid file location
                        (default '/var/run/ipw3945d.pid')
  --version             Display version information
  --foreground          Do not fork to background
  --kill                Kill any running ipw3945d instance and exit
  --help                View this help message
  --isrunning           Check if already running.  Returns 0 if yes.
------- Comment #1 From 2007-01-29 11:35:03 -------
Это blocker, подтверждаю наличие проблемы.
------- Comment #2 From 2007-04-05 09:38:59 -------
чинить будем? 4.0 на носу
------- Comment #3 From 2007-04-05 11:31:18 -------
У меня больше нет того ноутбука, для которого я собирал драйвер. Попробуй
удалить --driver из init-скрипта, проверь, работает ли, и приложи сюда патчик.
------- Comment #4 From 2007-04-06 18:19:06 -------
Перевешиваю на счастливого обладателя Intel IPW3945.
------- Comment #5 From 2007-04-24 16:19:36 -------
Fixed in 1.7.22-alt1. Test please.